Page MenuHomePhabricator

deWikisource doesn't show Wikibase-Item (API) / Link to Wikidata (UI)
Open, Needs TriagePublicBUG REPORT

Description

As I mentioned two days ago in the Wikidata-Telegram group i discoverd the following behaviour: Some Wikidata-Items with Sitelink to the German Wikisource produces on the Wikisource-Page the link to Wikidata but unfortunately using the Wikisource mediawiki-API-endpoint the wikibase-ID for the page is not parseable: (e.g. https://www.wikidata.org/wiki/Q62610504 has the sitelink to https://de.wikisource.org/wiki/Galton [which has shown till tody afternoon the link to wikidata on the left menu] but no wikibase-item is given via mediawiki-api https://de.wikisource.org/w/api.php?action=query&prop=pageprops&ppprop=wikibase_item&redirects=1&titles=Galton&format=json)

But since today late afternoon (UTC) on all Wikisource-pages the wikidata-link is missing. e.g. https://de.wikisource.org/wiki/J%C3%B6ns_Jakob_Berzelius, but the sitelink on the corresponding wikidata-item exists (https://www.wikidata.org/wiki/Q151911) and against the behaviour discribed above, the wikibase-id is parseable over wikisource-api: https://de.wikisource.org/w/api.php?action=query&prop=pageprops&ppprop=wikibase_item&redirects=1&titles=J%C3%B6ns_Jakob_Berzelius&format=json

Event Timeline

LibrErli created this task.Aug 21 2019, 9:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 21 2019, 9:20 PM
LibrErli changed the subtype of this task from "Task" to "Bug Report".Aug 22 2019, 3:11 AM

This behavior occurs in other projects, too. I mentioned this in T66315. Unfortunately it is now necessary to make zero-edits to show the link in the "in other projects" list.

i have to precise the task a little bit more. Unfortunately yesterday and today the moving of the "data item" link takes place. so the second occurrence (no data item link on ui-page, but wikibase-id parseable via mediawiki-api) is obsolete.

but

For this Wikisource-Page https://de.wikisource.org/wiki/Galton there exists a Wikidata item with sitelink https://www.wikidata.org/wiki/Q62610504 but using the wikisource's mediawiki-api the wikibase-item is not parseable: https://de.wikisource.org/w/api.php?action=query&prop=pageprops&ppprop=wikibase_item&redirects=1&titles=Galton&format=json (and unfortunately it is not a single occurrence)

Hello, and thanks for reporting this issue. As Roland mentioned, editing the page to purge the cache may be necessary. I now see the link appearing on https://de.wikisource.org/wiki/J%C3%B6ns_Jakob_Berzelius . Do you have another example where the issue happens?

as i mentioned above - the yesterday missing data item-link on the ui on e.g. https://de.wikisource.org/wiki/J%C3%B6ns_Jakob_Berzelius isn't the real problem. (of course, as Roland mentioned, for some items an empty edit is necessary, that the data item link is shown)

The other problem, which i discovered first in April, is a Wikisource-Page e.g. https://de.wikisource.org/wiki/Galton with existing Wikidata item with sitelink https://www.wikidata.org/wiki/Q62610504 but using the wikisource's mediawiki-api the wikibase-item is not parseable: https://de.wikisource.org/w/api.php?action=query&prop=pageprops&ppprop=wikibase_item&redirects=1&titles=Galton&format=json

as it isn't a single occurence - i will do some research for a subset of the German Wikisource and post script and results a litte bit later

Change 531654 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Revert "Use the backwards-compatible HTML ID for the wikidata item link"

https://gerrit.wikimedia.org/r/531654

Change 531655 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Revert "Fixed the CSS class of Data item link in client wiki sidebar"

https://gerrit.wikimedia.org/r/531655

Change 531656 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Revert "Add wb-otherprojects-wikibase-item to wikidata item link in other projects"

https://gerrit.wikimedia.org/r/531656

Change 531657 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Revert "Move "Data item" link to In Other Projects sidebar"

https://gerrit.wikimedia.org/r/531657

Change 531659 had a related patch set uploaded (by Alaa Sarhan; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@master] Revert "Use the backwards-compatible HTML ID for the wikidata item link" This reverts commit cb8d56cb7cf77f0d11c996ed927ffbbb3dc92416.

https://gerrit.wikimedia.org/r/531659

as i mentioned above - the yesterday missing data item-link on the ui on e.g. https://de.wikisource.org/wiki/J%C3%B6ns_Jakob_Berzelius isn't the real problem. (of course, as Roland mentioned, for some items an empty edit is necessary, that the data item link is shown)
The other problem, which i discovered first in April, is a Wikisource-Page e.g. https://de.wikisource.org/wiki/Galton with existing Wikidata item with sitelink https://www.wikidata.org/wiki/Q62610504 but using the wikisource's mediawiki-api the wikibase-item is not parseable: https://de.wikisource.org/w/api.php?action=query&prop=pageprops&ppprop=wikibase_item&redirects=1&titles=Galton&format=json
as it isn't a single occurence - i will do some research for a subset of the German Wikisource and post script and results a litte bit later

Thanks for these details. To clarify, have you reported the issue earlier in April already, and we missed it?
The API issue looks odd indeed, given Wikidata item is mentioned for Galton article in https://de.wikisource.org/w/index.php?title=Galton&action=info

LibrErli added a comment.EditedThu, Aug 22, 9:18 AM

Sorry, I haven't reported it in April. (so you missed nothing ;-)

At https://paws-public.wmflabs.org/paws-public/User:Mfchris84/WikiSourcePages_WithWikidataItem_NotInAPI.ipynb you find a script where i run in the first cell through a subset of German Wikisource with corresponding Wikidata-Items where no Wikibase-ID is available using the wikisource mediawiki-API. The script is running at the moment - because in the second cell i run throug the all German Wikisourcepages with Wikidata item.
(the results are tab-seperated)

some days ago i started the script for the whole German Wikisource (about 111,000 wikidata items) there are also some older items where you can find this behaviour. (e.g. https://de.wikisource.org/wiki/K%C3%B6nig_Drosselbart)

Change 531677 had a related patch set uploaded (by WMDE-leszek; owner: Alaa Sarhan):
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.19] Revert "Use the backwards-compatible HTML ID for the wikidata item link" This reverts commit cb8d56cb7cf77f0d11c996ed927ffbbb3dc92416.

https://gerrit.wikimedia.org/r/531677

Change 531659 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Revert "Use the backwards-compatible HTML ID for the wikidata item link" This reverts commit cb8d56cb7cf77f0d11c996ed927ffbbb3dc92416.

https://gerrit.wikimedia.org/r/531659

Change 531677 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.34.0-wmf.19] Revert "Use the backwards-compatible HTML ID for the wikidata item link" This reverts commit cb8d56cb7cf77f0d11c996ed927ffbbb3dc92416.

https://gerrit.wikimedia.org/r/531677

Mentioned in SAL (#wikimedia-operations) [2019-08-22T13:27:56Z] <tarrow@deploy1001> Synchronized php-1.34.0-wmf.19/extensions/Wikibase/client/: [[gerrit:531677|Revert "Use the backwards-compatible HTML ID for the wikidata item link" (T230958, T66315)]] (duration: 00m 58s)

Change 531654 abandoned by Ladsgroup:
Revert "Use the backwards-compatible HTML ID for the wikidata item link"

Reason:
Done in Iac1bc30b6985f

https://gerrit.wikimedia.org/r/531654

Change 531655 abandoned by Ladsgroup:
Revert "Fixed the CSS class of Data item link in client wiki sidebar"

Reason:
Done in Iac1bc30b6985f

https://gerrit.wikimedia.org/r/531655

Change 531656 abandoned by Ladsgroup:
Revert "Add wb-otherprojects-wikibase-item to wikidata item link in other projects"

Reason:
Done in Iac1bc30b6985f

https://gerrit.wikimedia.org/r/531656

Change 531657 abandoned by Ladsgroup:
Revert "Move "Data item" link to In Other Projects sidebar"

Reason:
Done in Iac1bc30b6985f

https://gerrit.wikimedia.org/r/531657